Bug 241015 - Unexpected behavior when deleting a file while several are selected
Summary: Unexpected behavior when deleting a file while several are selected
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Trash (show other bugs)
Version: 1.2.0
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-07 14:10 UTC by Carsten Niehaus
Modified: 2017-08-15 05:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments
I think all three selected pictures should be deleted, not only the one shown in the bottom widget. (290.01 KB, image/png)
2010-06-07 14:10 UTC, Carsten Niehaus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Niehaus 2010-06-07 14:10:52 UTC
Created attachment 47774 [details]
I think all three selected pictures should be deleted, not only the one shown in the bottom widget.

Version:           1.2.0 (using KDE 4.4.3) 
OS:                Linux

When you view a picture and select several other pictures and than delete the pictures only the currently shown pictures is deleted.

Reproducible: Always


Actual Results:  
Only one picuture is deleted.

Expected Results:  
All selected pictures should be removed.

I agree that one could say that this behavior is correct. Bit in THAT case I think one should NOT be able to select pictures in the top-widget.

As I don't know how to call this window I made a screenshot.
Comment 1 caulier.gilles 2010-06-07 14:15:04 UTC
I think it's fixed with current implementation (next 1.3.0). Marcel ?

Carsten, can you check current code from svn trunk ?

Gilles Caulier
Comment 2 Carsten Niehaus 2010-06-07 14:19:29 UTC
I am using RPMs and won't compile it myself, sorry. I just don't find the time for this anymore... I'd of course test a 1.2.1 or 1.3.0 as soon as it is released.
Comment 3 Marcel Wiesweg 2011-01-24 14:58:30 UTC
SVN commit 1216747 by mwiesweg:

Synchronize selection between the icon view and the thumbnail bar.
This allows multiple selection in the thumbnail bar with a meaning: all actions
are carried out as if selected in the normal icon view.

Drop using the imageActivated signal of thumbbar (with the same as clicked() anyway),
simply use the current image.

This also fixes the problem that the arrow keys in the thumbbar would move
the selection, but not update the shown preview (may be a bug report somewhere)

BUGS: 241015


 M  +2 -1      NEWS  
 M  +65 -5     digikam/albumwidgetstack.cpp  
 M  +4 -1      digikam/albumwidgetstack.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1216747